%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		synfig
Summary:	Vector-based 2D animation renderer
Version:	1.0.2
Release:	%mkrel 2
Source0:	http://downloads.sourceforge.net/synfig/%{name}-%{version}.tar.xz
Patch0:		synfig-1.0.1-buildfix.patch
URL:		http://www.synfig.org
License:	GPLv2+
Group:		Graphics
#--------------------------------------
BuildRequires:	etl
BuildRequires:	gettext
BuildRequires:	git
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}ilmbase-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}ltdl-devel
BuildRequires: %{_lib}magick-devel
BuildRequires: %{_lib}mlt-devel
BuildRequires: %{_lib}mng-devel
BuildRequires: %{_lib}OpenEXR-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}sigc++2.0_0-devel
BuildRequires: %{_lib}xml++2.6-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: libgomp-devel
#--------------------------------------
Requires:	libdv-apps
Requires:	ImageMagick
Requires:	ffmpeg
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the command-line renderer. For the GUI animation
editor, please install synfigstudio.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfig.

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfig.

%prep
%setup -q
%apply_patches

%build
export CXXFLAGS="%{optflags} -std=c++11"
%configure2_5x --disable-static --with-imagemagick
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS TODO
%{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}
%{_bindir}/%{name}-config
%{_libdir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}-*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Nov 04 2016 adrianomorselli <adrianomorselli> 1.0.2-2uplos2016
- rebuild
 
* Mon May 09 2016 bb <bb> 1.0.2-2pclos2016
- rebuild for new imagemagick

* Tue Dec 15 2015 bb <bb> 1.0.2-1pclos2015
- update from pclos srpm
